# New Workbench

Use this request to initiate a workbench for a new reservation. This prerequisite step for booking creates the workbench session in which all booking details are added together to create a PNR at commit.

Endpoint: POST /air/book/session/reservationworkbench
Version: 11.36.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Header parameters:

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID

## Request body:

  - `application/json` (unknown)
    Create Workbench request payload.

## Request fields (application/json):

  - `@type` (string, required)
    Discriminator classes ReservationID, Reservation, or ReservationDetail
    Enum: "Reservation"

  - `id` (string)
    Internal identifier for the response.
    Example: REF12873

  - `Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `Offer` (array)
    Each instance returns details about one offer on the reservation. An offer could be flight/s on the itinerary, seats, or a paid ancillary.
Additional instances of Offer are returned by default if the booking includes hotel and/or car segments. The hotel and/or car segments must have been booked with the TripServices Stays APIs or TripServices Car APIs (full release pending), or a terminal program. See the [Multi-Content Booking Guide (Air, Hotel, Car)](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/flights-booking-guide#multi-content-bookings-air-hotel-car) for more information.
In the two-step commit, several objects in Offer vary from the standard response. For price or schedule changes, Offer is returned with @type OfferModify.
For NDC only, when an airline-initiated flight change has occurred, the Reservation Retrieve response returns the Offer object with @type OfferModify and scheduleChangeInd=true to indicate a change has occurred. See the [NDC Flight Disruption Handing in the Air Booking Guide](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/flights-booking-guide#ndc-flight-disruption-handling-involuntary-changes) for details.

  - `Offer.@type` (string, required)
    Discriminator
- Air Price child classes OfferID, Offer, and OfferUpsell.
- Reservation and ReservationWorkbench child classes OfferID, Offer, OfferModify, and OfferUpsell.
- Hotel Rules child classes OfferID and Offer.
    Enum: "Offer"

  - `Offer.id` (string)
    Offer identifier sent in the reference payload request to book that offer. Not returned in the full payload response; this is the only difference in the two responses.
    Example: offer_1

  - `Offer.offerRef` (string)
    Used to reference another instance of this object in the same message
    Example: offer_1

  - `Offer.ContentSource` (string)
    Indicates the owner the offer or document.
    Enum: "GDS", "NDC", "LCC", "API"

  - `Offer.parentOfferRef` (string)
    A reference to the Offer this offer is sold in conjunction with
    Example: offer_1

  - `Offer.offerModifyRef` (string)
    Reference to the new Offer created as a result of this Offer being subject to a schedule change.

  - `Offer.Product` (array, required)
    Lists the flight or flights for one leg of the itinerary. Repeats for additional leg or legs.

  - `Offer.Product.@type` (string, required)
    Discriminator.
- Air Search child classes are ProductAir and ProductAncillary.
- Exchange Search child class is ProductAir.
- Ancillary Search child class is ProductAncillary.
- Seat Map child class is ProductSeatAvailability.
- Air Price child classes are ProductAir and ProductAncillary.
- Hotel Availability child classes are ProductHospitality and ProductHospitalityOffer.
- Hotel Rules and HotelReservation child classes are ProductHospitality.
- All Vehicle APIs child classes are ProductVehicle and ProductAncillaryVehicle.
- Reservation and Reservation Workbench child classes are ProductAir, ProductAncillary, ProductHospitality, ProductVehicle, and ProductAncillaryVehicle.
    Enum: "Product"

  - `Offer.Product.id` (string)
    Local id within a given message to support referencing this object.
    Example: product_1

  - `Offer.Product.productRef` (string)
    Reference id that corresponds to the product 'id' in ReferenceListProduct.Product. To find flight details for a product, use the ProductRef id to identify the product in ReferenceListProduct.Product, and use the Flight id's (e.g., s3, s4) to match to flight information in ReferenceListFlight.Flight.
    Example: product_1

  - `Offer.Product.Quantity` (integer)
    The quantity of the product. 
For Hotel Create Reservation (Full Payload) request, the number of rooms requested; 1-9 inclusive supported. If not provided, default is 1. For Hotel responses, the number of rooms currently available matching this rate.
In Air Search quantity represents the number of seats available for that Product. If the Product has connecting flights, Quantity returns the lowest number available. For example, if the first flight has 9 seats in Y class and the connecting flight has 4 seats in Y class, Quantity returns a value of 4.
    Example: 2

  - `Offer.Price` (object, required)
    Price includes a summary of the Base, Taxes, and Fees applicable to the offer in the currency indicated.  
The amounts in Base, TotalTaxes, TotalFees, and TotalPrice are inclusive of all travelers across all PTCs. The amounts in PriceBreakdown apply to one traveler with the PTC returned in that instance.  
Certain types of offers on a booking, such as seats and ancillaries, generally include only the CurrencyCode, Base, and TotalPrice objects.

  - `Offer.Price.@type` (string, required)
    Discriminator classes Price or PriceDetail
    Enum: "PriceDetail"

  - `Offer.Price.id` (string)
    Internally referenced id
    Example: 2

  - `Offer.Price.CurrencyCode` (object)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `Offer.Price.CurrencyCode.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `Offer.Price.CurrencyCode.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `Offer.Price.CurrencyCode.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `Offer.Price.CurrencyCode.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `Offer.Price.Base` (number)
    Base price before taxes and fees.  
For Hotel, may not be returned by all suppliers.
    Example: 20.2

  - `Offer.Price.TotalTaxes` (number)
    Total taxes applied to the base price.  
For Hotel, may not be returned by all suppliers.
    Example: 34.4

  - `Offer.Price.TotalFees` (number)
    Total fees included in Total Price.
    Example: 201

  - `Offer.Price.TotalPrice` (number)
    Total price of this offer including the base price and all taxes and fees.
    Example: 34

  - `Offer.Price.VendorCurrencyTotal` (object)
    No longer used. Previously used to expose the local vendor currency when it is different to the purchased currency

  - `Offer.Price.VendorCurrencyTotal.@type` (string)

  - `Offer.Price.VendorCurrencyTotal.currencySource` (string)
    The system requesting or returning the currency code specified in the attribute
    Enum: "Supplier", "Charged", "Requested"

  - `Offer.Price.VendorCurrencyTotal.Base` (number)
    The price prior to all applicable taxes of a product such as the rate for a room or fare for a flight.
    Example: 120.2

  - `Offer.Price.VendorCurrencyTotal.Taxes` (object)
    Summary of all individual taxes. Child class TaxesDetail provides the breakdown of individual taxes.

  - `Offer.Price.VendorCurrencyTotal.Taxes.@type` (string, required)
    Discriminator class is TaxesDetail
    Enum: "TaxesDetail"

  - `Offer.Price.VendorCurrencyTotal.Taxes.TotalTaxes` (number)
    A monetary amount, representing the total of all taxes included in this offer. Supports up to 4 decimal places; decimal place must be included.
    Example: 330.1

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxInfo` (array)
    Returned for TripChange APIS only.

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxInfo.@type` (string)
    Example: TaxInfo

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxInfo.TaxCode` (string, required)
    The tax code
    Example: XF

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxInfo.Amount` (number, required)
    The amount of the tax applied

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxInfo.TaxBreakdown` (array, required)
    The breakdown of the tax for this tax code

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxInfo.TaxBreakdown.@type` (string)
    Example: TaxInfo

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxInfo.TaxBreakdown.AirportCode` (string, required)
    The airport location the tax applies to
    Example: MIA

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxInfo.TaxBreakdown.Amount` (number)
    The amount of the tax applied
    Example: 3.1

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax` (array)

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.value` (number)
    Amount of the tax. Returned as 0 if a tax was marked as exempt with TaxExemption.
    Example: 12.2

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.currencyCode` (string)
    A ISO 4217 currency code associated to the value.
    Example: USD

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.taxCode` (string)
    Code for the tax.  
For Hotels this is the OTA code.
    Example: XF2

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.reportingAuthority` (string)
    Identifies the reporting authority such as airport code for XF taxes
    Example: JFK1

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.purpose` (string)
    Supplier returned description of tax.
    Example: Fuel surcharge

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.description` (string)
    GDS only. Descriptions may not be returned when the fare has a large number of applicable taxes.  
Short summary of the tax.  
In Air workflows this is returned only for NDC.  
Note that descriptions are not returned for tax codes YQ and YR, which are fees charged by airlines and not government-imposed taxes.  
For Hotels this is the OTA tax description.
    Example: Lodging tax

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.includedInBase` (string)
    Yes , No , Unknown
    Enum: "Yes", "No", "Unknown"

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.codeAuthority` (string)
    Not used. Currency Code Authority
    Example: ISO

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.decimalPlace` (integer)
    Permitted number of decimals. Associated to the currency value.
    Example: 2

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.decimalAuthority` (string)
    Not used. Currency decimal authority
    Example: ISO

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.exemptInd` (boolean)
    GDS only; not supported for NDC.  
Returned if a tax was marked exempt in a prior request with the TaxExemption pricing modifer.  
If true, this tax is exempt"
    Example: true

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.nonRefundableInd` (boolean)
    If true, the tax is non refundable. This indicator is only supported for exchange search and exchange price quote transactions.
    Example: true

  - `Offer.Price.VendorCurrencyTotal.Taxes.Tax.excludedFromTotalPriceInd` (boolean)
    Returned in Hotel APIs when a tax is not included in the TotalPrice. Default behavior is for taxes to be included in TotalPrice.
    Example: true

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxPercent` (object)
    Returned when the tax is expressed as a percentage of the amount.

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxPercent.value` (number)
    The tax percentage amount.
    Example: 5.5

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxPercent.taxCode` (string)
    Any code for the tax.
    Example: 971 - IRS Notice

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxPercent.reportingAuthority` (string)
    Tax reporting authority
    Example: Georgia Department of Revenue

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxPercent.purpose` (string)
    Purpose of tax
    Example: statutory tax

  - `Offer.Price.VendorCurrencyTotal.Taxes.TaxPercent.description` (string)
    Description
    Example: 1.5% of SGST

  - `Offer.Price.VendorCurrencyTotal.Fees` (object)
    Includes TotalFees object to return the sum total of any fees.  
May include array of Fee objects to break down individual fees.  
Child class FeesDetail may also include a breakdown of the individual fees.

  - `Offer.Price.VendorCurrencyTotal.Fees.@type` (string, required)
    Discriminator. Child class FeesDetail
    Enum: "FeesDetail"

  - `Offer.Price.VendorCurrencyTotal.Fees.TotalFees` (number)
    Total fees included in the TotalPrice. Supports up to 4 decimal places; decimal place needs to be included.
    Example: 55

  - `Offer.Price.VendorCurrencyTotal.Fees.TotalAdditionalFeesPayableLocally` (number)
    Fees due separately at the property. Expected to be paid in local currency. These fees are not included in the Offer TotalPrice.
    Example: 25

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee` (array)
    Array of individual fees.

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.@type` (string)

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.feeCode` (string)
    For Hotel, the Hotel provider's explanation of the fee; can be returned either as a code or as text.  
For Air, the code for the fee, such as 'OB' for OB fees.
    Example: 1011

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.reportingAuthority` (string)
    Not used. Identifies the reporting authority.
    Example: OPRA

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.purpose` (string)
    Not used. Fee purpose
    Example: Service charge

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.description` (string)
    Any description or text explanation of the charge.
    Example: Resort Fee

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.feeApplication` (string)
    Application values (such as the application of a fee) like per person or per room.
    Enum: "PerPerson", "PerRoom", "PerAccommodation", "PerHouse", "PerApartment", "PerAdult", "PerChild"

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.feeFrequency` (string)
    The frequency of a fee such as per night or per stay.
    Enum: "PerNight", "PerDay", "PerStay", "PerWeek", "RoundTrip", "OneWay"

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.FeeAmountOrPercent` (object, required)
    Defines whether the fee is charged as an amount or percentage.

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.FeeAmountOrPercent.@type` (string, required)
    Discriminator. Child classes FeeAmountOrPercentAmount or FeeAmountOrPercentPercent
    Enum: "FeeAmountOrPercentAmount", "FeeAmountOrPercentPercent"

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.FeeAmountOrPercent.application` (string)
    Type of commission
    Enum: "Full", "Partial", "Non-paying", "No-show", "Adjustment", "Commissionable"

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.Tax` (array)

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.includedinBaseInd` (boolean)
    If true, indicates the fee is included in Base Price.

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.includedInTotalPriceInd` (boolean)
    If true, indicates the fee is included in Total Price. Default behavior is for fees not to be included in TotalPrice.

  - `Offer.Price.VendorCurrencyTotal.Fees.Fee.collectionMethod` (string)
    List of change fee method
    Enum: "EMD", "MCO", "Tax", "Unknown"

  - `Offer.Price.VendorCurrencyTotal.Total` (number)
    Specifies the total price including base + taxes + fees
    Example: 30.13

  - `Offer.Price.VendorCurrencyTotal.approximateInd` (boolean)
    True if this amount has been converted from the original amount
    Example: true

  - `Offer.Price.FlightPassCredits` (integer)
    Indicates the number of flight pass credits the offer “costs” for all passengers. Air Canada NDC only.
    Example: 2

  - `Offer.Price.PriceBreakdown` (array)

  - `Offer.Price.PriceBreakdown.@type` (string, required)
    Discriminator
- Air Search and Air Price APIs child classes are PriceBreakdownAir and PriceBreakdownAncillary.
- Search Ancillaries and Seat Availabilities child classes are PriceBreakdown, PriceBreakdownAncillary, and PriceBreakdownAncillaryAir.
- All Hotel API child classes are PriceBreakdownHospitality.
- Vehicle API child classes are PriceBreakdownVehicleCharges, PriceBreakdownVehicleDeposit, PriceBreakdownVehiclePrice, and PriceBreakdownAncillaryVehicle.
- Reservation and Reservation Workbench APIs are PriceBreakdownAir, PriceBreakdownAncillary, PriceBreakdownHospitality, PriceBreakdownVehicleCharges, PriceBreakdownVehicleDeposit, PriceBreakdownVehiclePrice, and PriceBreakdownAncillaryVehicle.
    Enum: "PriceBreakdownAir", "PriceBreakdownAncillary", "PriceBreakdownHospitality", "PriceBreakdownVehiclePrice", "PriceBreakdownVehicleDeposit", "PriceBreakdownVehicleCharges"

  - `Offer.Price.PriceBreakdown.Amount` (object)
    Amount represents the cost applied.

  - `Offer.Price.PriceBreakdown.Amount.@type` (string)

  - `Offer.Price.PriceBreakdown.Amount.Base` (number)
    The base price prior to all applicable taxes or fees of a product, such as the amount for a room or fare for a flight (one passenger).
    Example: 120.2

  - `Offer.Price.PriceBreakdown.Amount.Total` (number)
    Specifies the total price including base + taxes + fees.
In PriceBreakdownHospitality, this total is for a given group of nights.
In PriceBreakdownAir this is the total of base cost and all fees and taxes for one passenger of this PTC type.
    Example: 230.13

  - `Offer.Price.PriceBreakdown.Amount.approximateInd` (boolean)
    if true this amount has been converted from the original amount
    Example: true

  - `Offer.Price.PriceBreakdown.Commission` (object)
    GDS only; not supported for NDC.  
Commission information.  
Any commission filed by an airline in a CAT35 fare is returned in PriceBreakdownAir/Commission. The amount is either a percent of the fare component (@type CommissionPercent and the Percent object) or an amount (@type CommissionAmount and the Amount object).

  - `Offer.Price.PriceBreakdown.Commission.@type` (string, required)
    Discriminator. Child classes CommissionAmount or CommissionPercent
    Enum: "CommissionAmount", "CommissionPercent"

  - `Offer.Price.PriceBreakdown.Commission.Amount` (object)
    A monetary amount, up to 4 decimal places. Decimal place must be included.

  - `Offer.Price.PriceBreakdown.Commission.Amount.value` (number)
    The amount of a given currency.
    Example: 124.56

  - `Offer.Price.PriceBreakdown.Commission.Amount.code` (string)
    An ISO 4217 alpha character code (3 characters) that specifies a money unit.
    Example: USD

  - `Offer.Price.PriceBreakdown.Commission.Amount.minorUnit` (integer)
    Minor units are a mechanism for expressing the relationship between a major currency unit and its corresponding minor currency unit.  
It is the smallest unit of a given currency. For example; the smallest denomination in USD is the cent, which is 1/100 of a USD, and the minor unit value is 2. Not all currencies have a minor unit.
    Example: 2

  - `Offer.Price.PriceBreakdown.Commission.Amount.approximateInd` (boolean)
    If true, the currency amount has been converted from the original amount.  
For Air Exchange Eligibility, returned only if a currency is converted. If returned, the value is always true, indicating that the fee is approximate because of currency conversion.  
For Hotel Availability and Rules, true indicates this is a calculated value; false indicates this is the value returned by the property.
    Example: true

  - `Offer.Price.PriceBreakdown.Commission.Percent` (number)
    Percent amount of commission
    Example: 20

  - `Offer.Price.PriceBreakdown.quantity` (integer)
    Quantity of passengers in that PTC.
    Example: 2

  - `Offer.Price.PriceBreakdown.requestedPassengerType` (string)
    The PTC to which the PriceBreakdown applies.
    Example: CHD

  - `Offer.Price.PriceBreakdown.FiledAmount` (object)
    Returned only in the Price and Reservation Retrieve APIs. GDS only; not supported for NDC.
The base amount of a ticket price or net price that is filed in local currency.
Returned when the origin currency is not the same as the PCC currency to show the currency in which the base fare has been filed.
When used for NetBaseAmount: Net ticket data (NTD) is returned in the AirPrice, AirReservation, Exchange Search, and Reservation Retrieve responses for any GDS fare that has a private fare component (fareType=AgencyPrivateFare). When NTD is returned, TermsAndConditionsFuill includes FareGuaranteePolicy to return the fare calculation indicator for the fare.   When NTD is returned, PriceBreakdown may include NetBaseAmount.

  - `Offer.Price.PriceBreakdown.FiledAmount.value` (number)
    Filed amount value
    Example: 43.3422

  - `Offer.Price.PriceBreakdown.FiledAmount.currencyCode` (string)
    Code for the currency in which the base fare was filed.
    Example: USD

  - `Offer.Price.PriceBreakdown.FiledAmount.codeAuthority` (string)
    Filed amount currency code authority
    Example: Australian Dollar

  - `Offer.Price.PriceBreakdown.FiledAmount.decimalPlace` (integer, required)
    Number of decimal places in the currency in ISO 4217 standard format.
    Example: 3

  - `Offer.Price.PriceBreakdown.FiledAmount.decimalAuthority` (string)
    ISO 4217 standard decimal authority
    Example: ISO 4217

  - `Offer.Price.PriceBreakdown.Discount` (object)
    NDC only; not supported for GDS.  
Returned for a fare discounted from the published price, such as a promotional discount. Not returned for privately negotiated discounts such as private fares.

  - `Offer.Price.PriceBreakdown.Discount.value` (number)
    The amount value of the discount
    Example: 20.22

  - `Offer.Price.PriceBreakdown.Discount.description` (string)
    The text description for the discount.
    Example: Spring discount on group bookings

  - `Offer.Price.PriceBreakdown.Discount.currencyCode` (string, required)
    Currency code discount is returned in.
    Example: USD

  - `Offer.Price.PriceBreakdown.Discount.codeAuthority` (string, required)
    Not used. Currency code Authority.
    Example: ISO

  - `Offer.Price.PriceBreakdown.Discount.decimalPlace` (integer, required)
    Number of decimal places in the currency the discount is returned in.
    Example: 2

  - `Offer.Price.PriceBreakdown.Discount.decimalAuthority` (string)
    Not used. Decimal Authority.
    Example: ISO

  - `Offer.Price.PriceBreakdown.NetFareInfo` (object)
    GDS only; NDC does not support net fares.  
Detailed information on the net fare used.

  - `Offer.Price.PriceBreakdown.NetFareInfo.@type` (string, required)
    Example: NetFareInfo

  - `Offer.Price.PriceBreakdown.NetFareInfo.passengerTypeCode` (string)
    Passenger Type Code (PTC). If there are multiple travelers with multiple PTCs, multiple fare quotes are returned.
    Example: ADT

  - `Offer.Price.PriceBreakdown.NetFareInfo.NetFareBreakdownConstruction` (array)

  - `Offer.Price.PriceBreakdown.NetFareInfo.TicketBasePassenger` (object)
    The monetary value

  - `Offer.Price.PriceBreakdown.NetFareInfo.TicketBasePassenger.value` (number)

  - `Offer.Price.PriceBreakdown.NetFareInfo.TicketBasePassenger.currencyCode` (string)
    Assigned Type: c-1100:CurrencyCode

  - `Offer.Price.PriceBreakdown.NetFareInfo.TicketBasePassenger.codeAuthority` (string, required)
    Assigned Type: c-1100:CodeContext

  - `Offer.Price.PriceBreakdown.NetFareInfo.TicketBasePassenger.decimalPlace` (integer, required)
    Assigned Type: c-1100:CurrencyMinorUnit

  - `Offer.Price.PriceBreakdown.NetFareInfo.TicketBasePassenger.decimalAuthority` (string)
    Assigned Type: c-1100:CodeContext

  - `Offer.Price.PriceBreakdown.NetFareInfo.TicketBasePassenger.bTInd` (boolean)
    If true, this is a bulk ticket fare

  - `Offer.Price.PriceBreakdown.NetFareInfo.TicketBasePassenger.iTInd` (boolean)
    If true, this is an inclusive tour fare

  - `Offer.Price.PriceBreakdown.TravelerIdentifierRef` (object)
    Identifier references as object both within a message payload or an object held in cache that may be used for subsequent workflows.  
Returned for NDC in the Price response if age was sent for this traveler in the previous workflow requests.

  - `Offer.Price.PriceBreakdown.TravelerIdentifierRef.value` (string)
    Example: traveler_001

  - `Offer.Price.PriceBreakdown.TravelerIdentifierRef.id` (string)
    A locally referenced ID
    Example: id_001

  - `Offer.Price.PriceBreakdown.TravelerIdentifierRef.description` (string)
    Descriptive text used to identify the contents of a target object
    Example: Descriptive Text

  - `Offer.Price.PriceBreakdown.TravelerIdentifierRef.uris` (array)
    Uniform Resource Identifier
    Example: ["www.travelport.com/uri"]

  - `Offer.Price.PriceBreakdown.FareCalculation` (string)
    GDS only; not supported for NDC.  
For each PTC, when available, FareCalculation returns the fare calculation ladder for all public and private fare types filed by an agency or an airline.
    Example: LON BA SYD R564.00YEE1Y BA LON R564.00YEE1Y NUC1128.00END ROE0.787855

  - `Offer.Price.PriceBreakdown.Surcharges` (object)
    In AirSearch workflow this applies to GDS only. Not supported for NDC, which does not return surcharges.  
Returned if surcharges apply to this offer.  
For a multi-city offer with stopovers (see [Multi-city Offers with Stopovers](https://developer.travelport.com/docs/flights/guides/flights-search-guide#multi-city-offers-with-stopovers-price-details-in-bestcombinableprice-only) for details), surcharges and commission amounts are for the entire journey. A multi-city offer can be identified by the jc in its CombinabilityCode: jc1, jc2.  
For all other offers, the surcharges and commission amounts are for each leg (origin and destination pair).  
Surcharges can be omitted from the Search response with excludeSurchargesInd.

  - `Offer.Price.PriceBreakdown.Surcharges.@type` (string, required)
    Discriminator class is SurchargesDetail
    Enum: "SurchargesDetail"

  - `Offer.Price.PriceBreakdown.Surcharges.TotalSurcharges` (number)
    A monetary amount, up to 4 decimal places.
    Example: 211.11

  - `Offer.Price.PriceBreakdown.Surcharges.approximateInd` (boolean)
    If true, the surcharge amounts are approximate.
    Example: false

  - `Offer.Price.PriceBreakdown.Surcharges.Surcharge` (array, required)

  - `Offer.Price.PriceBreakdown.TravelerRefs` (array)
    Returned only in Reservation Retrieve to identify the traveler associated with this instance of PriceBreakdown in case of multiple offers on the booking.

  - `Offer.Price.PriceBreakdown.PaidTaxes` (object)
    Summary Taxes object

  - `Offer.Price.PriceBreakdown.PaidTaxes.@type` (string, required)
    Discriminator classes PaidTaxes or PaidTaxesDetail
    Enum: "PaidTaxesDetail"

  - `Offer.Price.PriceBreakdown.PaidTaxes.TotalTaxes` (number)
    A monetary amount, up to 4 decimal places. Decimal place needs to be included.
    Example: 220.12

  - `Offer.Price.PriceBreakdown.PaidTaxes.Tax` (array)

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers` (array)

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.@type` (string, required)
    Discriminator.
    Example: RequestedPricingModifiers

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.PassengerCriteria` (object)
    Defines the passenger criteria. Send one PassengerCriteria for each passenger type code (PTC).  
Search supports up to 9 total passengers. A maximum of 6 PTCs are supported for GDS. NDC does not have a PTC limitation.  
AirPrice supports up to nine total passengers across all PTCs.

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.PricingModifiersAir` (object)
    A selection of Pricing Modifiers that can be used to influence the Price of an Offer.  
- For the AirPrice reference payload request, if any price modifiers were included in the preceding Search request and no price modifiers are sent in the AirPrice request, the cached price modifiers sent at Search are sent with the AirPrice request. If any price modifiers are sent in the AirPrice reference payload request, all cached Search modifiers are discarded and only the modifiers sent in that AirPrice request are used.  
- For the Add Offer request, you may optionally store fares with one or more pricing modifiers. If a pricing modifier is not added, the auto stored fare is added to the reservation. There is no change in the AirReservation response when pricing modifiers are requested. AirReservation applies modifiers from Add Offer and earlier steps as follows:
  - Modifiers sent in the Add Offer request (supported for both full and reference payload).
  - If no modifiers are sent in Add Offer, any pricing modifiers sent in AirPrice are applied.
  - If no modifiers were sent in AirPrice, or if AirPrice was not sent, any pricing modifiers sent in Search are applied.  

  GDS only; pricing modifiers not supported for NDC.  

  If the requested modifier does not have any fares associated with it, the workbench commit fails and returns the error message 'No Fare Found'. Pricing happens at commit, not at Add Offer.

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.CabinPreference` (object)
    Requests a fare based on the cabin class. Only one cabin preferenceType (Permitted, Preferred, PreferredWithUpgrade) is allowed per request, but there is no limit to the number of cabins that can be sent.
- Any CabinPreference in the initial Search request is applied to any subsequent Next Leg Search and reference Flight Specific Search requests.
  - By default, the CabinPreference in the initial Search request is also applied to any subsequent Next Leg Search request. To override this default and return all cabins for the next leg in the response, send ignoreCabinPreferenceInd=true in the Next Leg Search request.
- In AirPrice and AirReservation (Supported for Full Payload path only)
- If CabinPreference was sent in the Search request, it is cached and sent with the AirPrice reference payload request. If CabinPreference is sent in the AirPrice request, all cached modifiers are discarded and only the modifiers sent in the AirPrice request are used.

Can be combined with lowFareFinderInd=true to return lowest fare in the requested cabin or cabins. When using CabinPreference and lowFareFinderInd, if both CabinPreference and a class of service are sent, class of service is ignored. If CabinPreference is sent without a class of service, the response returns the lowest fare in the cabin requested. If that cabin is not available, the response may upgrade or downgrade to a different cabin. If a different cabin than requested is returned, the response returns the message that the cabin class may differ from the class requested. If lowFareFinderInd=false and CabinPreference are sent in the request, AirPrice ignores the preferred cabin and returns a message that the preferred cabin was ignored.
If CabinPreference is set to All, no cabin preference is applied.

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.FlightType` (object)
    The type of flight connection

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.CustomResponseModifiersAir` (object)
    Contains additional modifiers to customize the result set. Includes optional indicators for returning or excluding specified response content.  
Values sent at Search can carry forward into the Next Leg Search request and are not re-sent.

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.PricingModifiersAirChange` (object)
    Optional modifiers related to pricing, such as brands, taxes, and account codes.  
May include OrganizationInformation (account codes), FareSelection (fare types), CalculatedFareAdjustment (increase/decrease fare modifiers) or BrandPreference (brand tiers).

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.lowFareFinderInd` (boolean)
    Provides pricing flexibility around class of service. If not sent, the response returns fares only in the requested class of service. If true, returns the lowest fares available in any class of service available, which may not be the same as the requested class. Note that if lowFareFinderInd is sent with true and CabinPreference is sent, the only supported value for CabinPreference/type is Permitted. When lowFareFindInd=true and brand attributes are not disabled (inhibitBrandContentInd), AirPrice uses only the brand tier (and any other pricing modifiers) to find the lowest fare within a brand tier regardless of class of service. GDS only; not supported for NDC.
    Example: true

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.keepToBrandInd` (boolean)
    If true, the original brand will be maintained during the exchange process.
    Example: true

  - `Offer.Price.PriceBreakdown.RequestedPricingModifiers.lowFareFindAndRebookInd` (boolean)
    If true, the original flights in the reservation will be rebooked or replaced with the new exchanged flights.

  - `Offer.Price.PriceBreakdown.PassengerCriteriaRefs` (array)
    NDC only; not supported for GDS.  
Returned for NDC if a traveler identifier was sent for this traveler in the previous workflow requests.

  - `Offer.Price.PriceBreakdown.FlightPassCredits` (integer)
    The number of flight pass credits consumed for this pricebreakdown.
    Example: 1

  - `Offer.Price.PriceBreakdown.inclusiveOfTaxInd` (boolean)
    If true, this ancillary is sold inclusive of tax.
    Example: true

  - `Offer.Price.PriceBreakdown.quantity` (integer)
    The quantity of ancillary items included in this PriceBreakdown.
    Example: 1

  - `Offer.Price.PriceBreakdown.Description` (object)
    A description of the ancillary with description codes.

  - `Offer.Price.PriceBreakdown.Description.value` (string)
    The text description of the ancillary.
    Example: Vegetarian Meal

  - `Offer.Price.PriceBreakdown.Description.code` (string)
    The ATPCO group code.
    Example: BG

  - `Offer.Price.PriceBreakdown.Description.subCode` (string)
    The ATPCO RFISC subcode.
    Example: 0D4

  - `Offer.Price.PriceBreakdown.Description.subGroup` (string)
    The ATPCO sub group code.
    Example: SP

  - `Offer.Price.PriceBreakdown.Description.codeContext` (string)
    The code context value.
    Example: ATPCO

  - `Offer.Price.PriceBreakdown.Description.ssrCode` (string)
    The four character AIRIMP SSR code for this ancillary.
    Example: VGML

  - `Offer.Price.PriceBreakdown.Description.issuanceReasonCode` (string)
    The airline provided reason for issuance code.
    Example: C

  - `Offer.Price.PriceBreakdown.Description.geographicSpecification` (string)
    How the ancillary is applied across the itinerary.
    Enum: "Sector", "Portion", "Journey"

  - `Offer.Price.PriceBreakdown.ProductRef` (string)
    The product ref this PriceBreakdown applies to. If no productRef exists then the PriceBreakdown applies to all Products within the Offer.
    Example: p_1

  - `Offer.Price.PriceBreakdown.AncillaryPriceApplicationCode` (object)
    Determines how an ancillary price has been built.

  - `Offer.Price.PriceBreakdown.AncillaryPriceApplicationCode.value` (string)
    Example: 3

  - `Offer.Price.PriceBreakdown.AncillaryPriceApplicationCode.application` (string)
    Associated text.
    Example: PerItem

  - `Offer.Price.PriceBreakdown.roomPricingType` (string)
    A string provided by the hotel to describe how a service is priced, such as per night or per stay.
    Enum: "Per stay", "Per person", "Per night", "Per person per night", "Per use"

  - `Offer.Price.PriceBreakdown.Description` (string)
    Example: Advance Purchase-Ro-Free WiFi

  - `Offer.Price.PriceBreakdown.NightlyRate` (array)

  - `Offer.Price.PriceBreakdown.NightlyRate.@type` (string)

  - `Offer.Price.PriceBreakdown.NightlyRate.startDate` (string, required)
    Start date for the nightly rate in YYYY-MM-DD format.

  - `Offer.Price.PriceBreakdown.NightlyRate.nights` (integer)
    Number of nights the nightly rate is valid.

  - `Offer.Price.PriceBreakdown.AverageNightlyRate` (array)
    The average nightly rate for a given offer.

  - `Offer.Price.PriceBreakdown.AmenitySurcharges` (object)
    Amenity Surcharges information.

  - `Offer.Price.PriceBreakdown.AmenitySurcharges.@type` (string, required)
    Discriminator classes AmenitySurcharges or AmenitySurchargesDetail
    Enum: "AmenitySurchargesDetail"

  - `Offer.Price.PriceBreakdown.AmenitySurcharges.TotalSurcharges` (number)
    A monetary amount, up to 4 decimal places. Decimal place needs to be included.
    Example: 211.11

  - `Offer.Price.PriceBreakdown.AmenitySurcharges.approximateInd` (boolean)
    if true, the surcharge amounts are approximate
    Example: false

  - `Offer.Price.PriceBreakdown.AmenitySurcharges.Surcharge` (array, required)

  - `Offer.Price.PriceBreakdown.priceChangesDuringStayInd` (boolean)
    "If true, indicates the price changes at least once during requested dates.
If roomPricingType = Per night, multiple instances of priceChangesDuringStayInd are returned."

  - `Offer.Price.PriceBreakdown.shortRateDescription` (string)
    A normalized rate description for comparing rates across multiple aggregators.
    Example: Flexible Rate

  - `Offer.Price.PriceBreakdown.VehiclePrice` (object, required)
    Rate summary for rental of the vehicle.

  - `Offer.Price.PriceBreakdown.VehiclePrice.@type` (string, required)
    Example: VehiclePrice

  - `Offer.Price.PriceBreakdown.VehiclePrice.id` (string)
    Internal ID

  - `Offer.Price.PriceBreakdown.VehiclePrice.rateSource` (string)
    Assigned Type: c-1100:StringTiny

  - `Offer.Price.PriceBreakdown.VehiclePrice.rateGuaranteedInd` (boolean)
    Assigned Type: c-1100:OptionalIndicator

  - `Offer.Price.PriceBreakdown.VehiclePrice.ratePeriod` (string)
    The time period for a rate such as daily, weekly, monthly
    Enum: "Hour", "Day", "Week", "Month", "Year", "Total", "RentalPeriod", "Weekend", "Bundle", "Package", "ExtraHour", "ExtraDay", "ExtraWeek", "ExtraMonth", "Other"

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateDistance` (object)
    Rate for the period defined by the attributes

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateDistance.value` (number)

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateDistance.unlimitedDistanceInd` (boolean)
    if true unlimited miles is included with the rental

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateDistance.requestedCodeAppliedInd` (boolean)
    if true, the requested code has been applied

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateDistance.allowance` (integer)
    The distance allowance permitted with this rate. Use in combination with distanceUnits and ratePeriod

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateDistance.distanceUnits` (string)
    For Hotels: Optional object to request either miles or kilometers for the search radius from the specified location. If unitOfDistance is not specified, the search defaults to miles for properties in the United States, Myanmar, and Liberia. The search defaults to kilometers in all other countries.
    Enum: "Miles", "Kilometers"

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateDescription` (array)

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateAvailability` (string)
    Options are available to sell, need to call, or closed
    Enum: "Available", "NeedToCall", "Closed"

  - `Offer.Price.PriceBreakdown.VehiclePrice.SupplierRate` (object, required)
    Estimated total amount - Monetary amounts expressed in another currency.

  - `Offer.Price.PriceBreakdown.VehiclePrice.SupplierRate.@type` (string, required)
    Example: SupplierRate

  - `Offer.Price.PriceBreakdown.VehiclePrice.ApproximateRate` (object)
    Estimated total amount - Monetary amounts expressed in another currency.

  - `Offer.Price.PriceBreakdown.VehiclePrice.ApproximateRate.@type` (string, required)
    Example: ApproximateRate

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty` (object)
    Specifies the ID for the membership program. Each instance sends customer loyalty information, such as for a frequent flyer program.  
For Hotel send the loyalty card number in the value field, followed by programID with the hotel chain code, and supplierType: Hotel.  
For Air send the loyalty card number in the value field, followed by airline code in "supplier".  For cross accrual use the "shareWithSupplier" field to submit to partner airlines.  
If CustomerLoyalty is sent in the AirSearch request, it must also be sent in the AirPrice request and the Add Traveler request. Because some carriers validate frequent traveler data through the workflow, failing to send the same CustomerLoyalty details, even if invalid, may cause a booking failure.  
If an invalid number is sent, the response returns a warning message that the FQTV (frequent traveler) is invalid, and the invalid number is cached to prevent a potential booking failure.  
For Seats related to loyalty benefits, passengerinformation is necessary so that airlines can determine traveler eligibility for preferred or premium seats tied to loyalty status. If the traveler is eligible for free seats, the response will have a price of 0. Only the first passenger's loyalty details are used to determine seat eligibility.

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.value` (string, required)
    Number on loyalty card.
    Example: 132456

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.id` (string)
    Optional Customer Loyalty Id. Not saved
    Example: Loyalty_1

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.priority` (integer)
    Optional Numeric Priority Code
    Example: 2

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.programId` (string)
    Specifies an identifier to indicate the company owner of the loyalty program. Typically two characters.  
For frequent guest number, the hotel supplier or brand code.  
For frequent flyer number, the air supplier code of the loyalty program.
    Example: HY

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.programName` (string)
    Supplier's loyalty program name.
    Example: Frontier-EarlyReturns

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.supplierType` (string)
    The type of supplier of a loyalty program. Uses 'hotel' for frequent guest number or 'air' for frequent flyer number.
    Example: Hotel

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.supplier` (string)
    Supplier of a loyalty program (typically 2 characters representing the hotel, brand, or airline).
    Example: UA

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.tier` (string)
    Customer Loyalty tier
    Example: Silver

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.shareWithSupplier` (array)
    The list of suppliers that the CustomerLoyalty number is shared. Used for cross accrual programs.  
If valid carrier codes are not sent, the response returns the message NO CROSS ACCRUAL AGREEMENT EXISTS.

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.cardHolderName` (string)
    Customer loyalty member name; up to 128 characters are supported. In Air Search, for discounted offers to be returned, the name must be sent as LAST FIRST; e.g., if SMITH is the last name and JORDAN the first name, send as SMITH JORDAN
    Example: John Smith

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.validatedInd` (boolean)
    Customer loyalty number has been validated by the supplier
    Example: true

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.prefix` (string)
    The cardholder name prefix title like Mr, Mrs, Dr
    Example: Dr

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.given` (string)
    The First Name of the Cardholder
    Example: John

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.middle` (string)
    Middle Name of the Cardholder
    Example: Wilkinson

  - `Offer.Price.PriceBreakdown.VehiclePrice.CustomerLoyalty.surname` (string)
    Last Name of the Cardholder
    Example: Smith

  - `Offer.Price.PriceBreakdown.VehiclePrice.RateQualifier` (string)
    A closed enumeration of possible rate qualifiers for vehicle rental
    Enum: "Other", "PostPayment", "Guarantee", "PrePayment", "Deposit"

  - `Offer.Price.PriceBreakdown.rateGuaranteedInd` (boolean)

  - `Offer.Price.PriceBreakdown.totalPayableNowInd` (boolean)
    If True the Amount is the total amount payable now

  - `Offer.Price.PriceBreakdown.totalPayableLaterInd` (boolean)
    If True the Amount is the total amount payable later

  - `Offer.Price.PriceBreakdown.VehicleCharges` (object)

  - `Offer.Price.PriceBreakdown.VehicleCharges.@type` (string, required)
    Example: VehicleCharges

  - `Offer.Price.PriceBreakdown.VehicleCharges.description` (string)
    Assigned Type: c-1100:String

  - `Offer.Price.PriceBreakdown.VehicleCharges.VehicleChargePurposeCode` (object)
    Any code used to specify an item, for example a type of traveler, service code, room amenity, etc.

  - `Offer.Price.PriceBreakdown.VehicleCharges.VehicleChargePurposeCode.value` (string)
    Example: INS

  - `Offer.Price.PriceBreakdown.VehicleCharges.VehicleChargePurposeCode.codeContext` (string)
    Code Context
    Example: ACRISS

  - `Offer.Price.PriceBreakdown.VehicleCharges.rateChargeInfo` (string)
    Assigned Type: c-1100:String

  - `Offer.Price.PriceBreakdown.VehicleCharges.RateCategory` (string)
    For Hotel Search, request a rate category by sending up to 8 OTA rate categories to search for. If the supplier has rates available for the requested category, the response contains those rates and indicates them as such. Some properties do not return these rates unless explicitly requested.
For a Hotel Rules request, this value can be found, if returned, in the Availability response's ProductRateCodeInfo/RateCodeInfo/rateCategory.
    Enum: "All", "Association", "Business", "BusinessStandard", "Club", "Convention", "Corporate", "Consortiums", "Discount", "Credential", "Employee", "FamilyPlan", "FullInclusive", "Government", "Inclusive", "Industry/TravelAgentRate", "Leisure", "Military", "Monthly", "Multi-DayPackage", "MultLevel/Negotiated/Secure", "Other", "Package", "PrePaid", "Promotional", "RackGeneral", "SeniorCitizen", "Standard", "Tour", "VIP", "Weekend", "Weekly"

  - `Offer.Price.PriceBreakdown.VehicleCharges.VehicleCoverageTypeCode` (object)
    The OTA code defined for the Vehicle Coverage Type

  - `Offer.Price.PriceBreakdown.VehicleCharges.Calculation` (array)

  - `Offer.Price.PriceBreakdown.VehicleCharges.taxInclusiveInd` (boolean)

  - `Offer.Price.PriceBreakdown.VehicleCharges.guaranteedInd` (boolean)

  - `Offer.Price.PriceBreakdown.VehicleCharges.payNowInd` (boolean)
    If true the vehicle charge must be paid now and is included in the totalPrice calculation

  - `Offer.Price.PriceBreakdown.VehicleCharges.includedInEstimatedTotalInd` (boolean)

  - `Offer.Price.PriceBreakdown.VehicleCharges.includedInBaseRateInd` (boolean)
    If true the Vehicle Charge has been included in the base rate of the Vehicle price

  - `Offer.TermsAndConditionsFull` (array)
    For Hotel Rules and Reservation responses, this array will contain a single TermsAndConditionsFullHospitality entry. Cancellation terms with multiple time periods are represented within that entry's CancelPenalty array rather than as multiple TermsAndConditionsFull entries.  
For Two-Step Commit (FLights), this is a standard object, no changes.  
For Unified Checkout (Flights), if no payment information was sent in the request, the booking is confirmed by the airline but not yet ticketed. This object provides the payment and ticketing time limits in ExpiryDate and PaymentTimeLimit.

  - `Offer.TermsAndConditionsFull.@type` (string, required)
    Discriminator
- Air Price child classes are TermsAndConditionsFullAir and TermsAndConditionsFullAncillary.
- Hotel Rules and Reservation class is TermsAndConditionsFullHospitality.
- Vehicle Rules and Reservation class is TermsAndConditionsFullVehicle.
- Reservation and Reservation Workbench APIs child classes are TermsAndConditionsFullAir, TermsAndConditionsFullAncillary, TermsAndConditionsFullHospitality, TermsAndConditionsFullVehicle, TermsAndConditionsFullVehicle, and TermsAndConditionsFullScheduleChange.
    Enum: "TermsAndConditionsFull", "TermsAndConditionsFullSummary"

  - `Offer.TermsAndConditionsFull.id` (string)
    Local identifier within a given message for this object.
    Example: TC_1

  - `Offer.TermsAndConditionsFull.termsAndConditionsRef` (string)
    Used to reference another instance of this object in the same message.
    Example: TC_1

  - `Offer.TermsAndConditionsFull.ExpiryDate` (string)
    The date and time in UTC the offer will no longer be valid.
    Example: 2022-08-07T12:12:00Z

  - `Offer.TermsAndConditionsFull.CustomerLoyalty` (array)

  - `Offer.TermsAndConditionsFull.TextBlock` (array)
    A list of free text terms and conditions.

  - `Offer.TermsAndConditionsFull.ExpiryDate` (string)
    The data and time the offer will expire
    Example: 2022-08-07T12:12:00Z

  - `Offer.TermsAndConditionsFull.TextBlock` (array)

  - `Offer.passiveOfferInd` (boolean)
    Indicates aggregator segment built into PNR. Always send with true when using in a request. If returned true in a response, the Offer is passive for booking purposes.
    Example: true

  - `Offer.scheduleChangeInd` (boolean)
    - If true: this Offer is subject to a schedule change.
May be seen in a Two-step Commit, on the first Commit response payload, in the event of a schedule change. If this is the case, the Product object returns previous and updated schedule details in two instances of Product/FlightSegment as follows:
  - The previous flight segment is identified with sequence=1 and Flight/id=flight_1
  - The updated flight segment is identified with sequence=2 and Flight/id=flight_2

Offer includes a ModifyPrice object; however, unless a price change has also occurred, Offer/Price repeats the original price of the offer and Offer/ModifyPrice returns all amounts as zero (0) to indicate there is no price change.
NDC only - for Reservation Retrieve, when an airline-initiated flight change has occurred, the response also returns the Offer object with @type OfferModify and scheduleChangeInd=true to indicate a change has occurred. See [NDC Flight Disruption Handing](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/flights-booking-guide#ndc-flight-disruption-handling-involuntary-changes) in the Air Booking Guide for details.

  - `Traveler` (array)

  - `Traveler.@type` (string, required)
    Discriminator classes TravelerID or Traveler
    Enum: "Traveler"

  - `Traveler.id` (string)
    Send value of travelerRefId_1 for the first traveler, then increment for each additional traveler (e.g., travelerRefId_2).
Traveler/id is only mandatory when referenced elsewhere in the request, such as in SpecialService and PrimaryContact (TravelerIdentifier/Identifier/value).

  - `Traveler.TravelerRef` (string)

  - `Traveler.birthDate` (string)
    Date of birth in YYYY-MM-DD format.
The TripServices APIs require this object only for infant and child PTC types (e.g., INF, INS, CHD, UNN).
When sending [minimum secure flight information](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/remarks-and-service-requests#minimum-secure-flight-information-ssr-docs), which is required by some carriers, this object is required for all PTCs.
    Example: 2021-06-05

  - `Traveler.gender` (string)
    Gender Type Male, Female etc.
When sending [minimum secure flight information](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/remarks-and-service-requests#minimum-secure-flight-information-ssr-docs) in the Traveler object, which is required by some carriers, this object is required for all PTCs.
This field is not used by Hotel APIs and will be ignored.
    Enum: "Male", "Female", "Unknown", "Undisclosed"

  - `Traveler.PersonName` (object, required)
    Travelport+ limits the combination of Given and Surname to 22 characters. Given name must have at least one character. Any PersonName exceeding 22 characters is truncated in the response.

  - `Traveler.PersonName.@type` (string, required)
    Discriminator classes PersonName or PersonNameDetail
    Enum: "PersonNameDetail"

  - `Traveler.PersonName.Prefix` (string)
    Salutation of honorific (e.g. Mr., Mrs., Ms., Miss, Dr.)
    Example: Mr

  - `Traveler.PersonName.Given` (string)
    Traveler first or given name.
    Example: John

  - `Traveler.PersonName.Middle` (string)
    Traveler middle name.
    Example: Erick

  - `Traveler.PersonName.Surname` (string, required)
    Traveler last name or surname.
    Example: Smith

  - `Traveler.PersonName.personNameType` (string)
    OTA Code
    Enum: "Former", "Nickname", "Alternate", "Maiden"

  - `Traveler.PersonName.language` (string)
    'ISO639 code of the language the name is represented
    Example: EN

  - `Traveler.PersonName.SurnamePrefix` (string)
    The surname prefix
    Example: Von

  - `Traveler.PersonName.Suffix` (string)
    Traveler name suffix such as Jr. or Sr.
    Example: Jr.

  - `Traveler.PersonName.Title` (string)
    Degree or honors
    Example: DR

  - `Traveler.PersonName.Privacy` (object)
    Confidential details for marketing purpose

  - `Traveler.PersonName.Privacy.id` (string)
    Optional internally referenced id
    Example: 2

  - `Traveler.PersonName.Privacy.shareMarketing` (string)
    Used to indicate marketing preferences, Yes, No, Inherit
    Enum: "Yes", "No", "Inherit"

  - `Traveler.PersonName.Privacy.optInStatus` (string)
    Used to indicate marketing preferences, OptIn, OptOut
    Enum: "OptedIn", "OptedOut", "Unknown"

  - `Traveler.PersonName.Privacy.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-08-07T12:12:00Z

  - `Traveler.PersonName.Privacy.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-08-07T12:12:00Z

  - `Traveler.PersonName.defaultInd` (boolean)
    If true, this is the default or primary name within a collection of names.
    Example: true

  - `Traveler.Address` (array)

  - `Traveler.Address.@type` (string, required)
    Discriminator classes Address or AddressDetail
    Enum: "AddressDetail", "PropertyAddress"

  - `Traveler.Address.id` (string)
    unique address id
    Example: Address_1

  - `Traveler.Address.BldgRoom` (object)
    Address with building and room number

  - `Traveler.Address.BldgRoom.value` (string)
    Example: Moore House

  - `Traveler.Address.BldgRoom.buldingInd` (boolean)
    When true, the information is a building name. When false, it is an apartment or room #
    Example: true

  - `Traveler.Address.Number` (object)
    The street number alone is the numerical number that precedes the street name in the address.

  - `Traveler.Address.Number.value` (string)
    Street number value.
    Example: 23B

  - `Traveler.Address.Number.streetNmbrSuffix` (string)
    Street Number Suffix
    Example: B

  - `Traveler.Address.Number.streetDirection` (string)
    Direction of the Street
    Example: NW

  - `Traveler.Address.Number.ruralRouteNmbr` (string)
    RuralRoute Number
    Example: 76

  - `Traveler.Address.Number.po_Box` (string)
    PO Box Number
    Example: 1001

  - `Traveler.Address.Street` (string)
    Street name. May also contain the street number when the Number element is missing.
    Example: ABC Street

  - `Traveler.Address.AddressLine` (array)
    Property street address. Used in place of Street and Number. Each element of the array represents an address line.

  - `Traveler.Address.City` (string, required)
    Full name of the city, town, or postal station (i.e., a postal service territory, often used in a military address).
    Example: Dublin

  - `Traveler.Address.County` (string)
    County or Region Name.
    Example: Berkshire

  - `Traveler.Address.StateProv` (object)
    The standard code or abbreviation for the state, province, or region. May also include full length name.

  - `Traveler.Address.StateProv.value` (string)
    State, province, or region code needed to identify location (typically two characters).
    Example: CA

  - `Traveler.Address.StateProv.name` (string)
    State, province, or region name needed to identify location.
    Example: California

  - `Traveler.Address.Country` (object)
    Contains the information needed to identify a country.

  - `Traveler.Address.Country.value` (string)
    The ISO 3166 code for the property's address.
    Example: US

  - `Traveler.Address.Country.id` (string)
    Custom user-assigned identifier for the country.
    Example: 23

  - `Traveler.Address.Country.name` (string)
    The full name of the country for the property's address.
    Example: United States

  - `Traveler.Address.Country.codeContext` (string)
    The source of a code, such as the organization that provided the id number
    Example: IATA

  - `Traveler.Address.PostalCode` (string)
    Postal code for the address.
    Example: Sl6 1AB

  - `Traveler.Address.Addressee` (string)
    The name of the company or person to be addressed
    Example: ACME INC

  - `Traveler.Address.role` (string)
    Defines the type of location the address is assigned to. For TravelAgency address leave blank or use "Other".
    Enum: "Home", "Business", "Mailing", "Delivery", "Destination", "Other", "Billing"

  - `Traveler.Address.addressType` (string)
    OTA code for address type
    Example: CLT

  - `Traveler.Address.use` (string)
    OTA code for address use
    Example: AUT

  - `Traveler.Address.Comment` (object)
    Textual information.

  - `Traveler.Address.Comment.value` (string)
    Actual text.
May be restricted based on the type of comment. Ex:
- Notepad remarks: limited to 87 characters.
- Traveler name remarks: limited to 33 characters, only spaces and hyphens allowed for special characters.
    Example: Additional comments

  - `Traveler.Address.Comment.id` (string)
    Local identifier within a given message for this object.
    Example: comment_1

  - `Traveler.Address.Comment.name` (string)
    Title of comment or type of remark.
    Example: Comment name

  - `Traveler.Address.Comment.language` (string)
    Language code using ISO-639 standard
    Example: EN

  - `Traveler.Address.Priority` (integer)
    The priority ranking within the group
    Example: 1

  - `Traveler.Address.validInd` (boolean)
    If true, this is a valid and complete mailing address that has been verified through an address verification service or previously mailed materials have not been returned.
    Example: false

  - `Traveler.Address.provisionedInd` (boolean)
    If true, this address came into the system through provisioning
    Example: false

  - `Traveler.Telephone` (array)

  - `Traveler.Telephone.@type` (string, required)
    Discriminator classes Telephone or TelephoneDetail
    Enum: "TelephoneDetail"

  - `Traveler.Telephone.countryAccessCode` (string)
    Phone country code
    Example: 1

  - `Traveler.Telephone.areaCityCode` (string)
    Phone local area code
    Example: 972

  - `Traveler.Telephone.phoneNumber` (string, required)
    Mobile/Telephone Number. Accepted characters are numeric, dash, space, and period.
    Example: 972-000-787

  - `Traveler.Telephone.extension` (string)
    Telephone extension number
    Example: 234

  - `Traveler.Telephone.id` (string)
    Optional custom user-assigned identifier for a phone number.
    Example: 3

  - `Traveler.Telephone.cityCode` (string)
    IATA city code if referenced by phone number.
    Example: DEN

  - `Traveler.Telephone.role` (string)
    Defines the type of location the Telephone is assigned to. For Travel Agency telephone select "Other" or leave blank.
    Enum: "Mobile", "Home", "Work", "Office", "Fax", "Other"

  - `Traveler.Telephone.phoneLocationType` (string)
    Location of the phone
    Example: Agency

  - `Traveler.Telephone.phoneTechType` (string)
    Indicates the type of technology associated with the telephone number
    Example: Voice

  - `Traveler.Telephone.phoneUseType` (string)
    Agency code for how phone is used (e.g., Home, Business, Emergency Contact, Travel Arranger, Day, Evening).
    Example: Home

  - `Traveler.Telephone.pin` (string)
    Additional codes used for telephone
    Example: 3456

  - `Traveler.Telephone.priority` (integer)
    Priority
    Example: 1

  - `Traveler.Telephone.defaultInd` (boolean)
    When true, indicates a default value should be used.
    Example: true

  - `Traveler.Telephone.provisionedInd` (boolean)
    true indicates this phone number was created through provisioned
    Example: false

  - `Traveler.Email` (array)
    For a reservation Retrieve response, all email addresses are associated with the first traveler on the reservation for GDS. NDC supports contact information for each traveler on the reservation.

  - `Traveler.Email.value` (string)
    The email address.
    Example: exampledomain@example.com

  - `Traveler.Email.id` (string)
    Electronic email addresses, in IETF specified format.
    Example: email_1

  - `Traveler.Email.emailType` (string)
    Use email type to specify if the email is to be sent "TO" or sent "FROM"
    Example: FROM

  - `Traveler.Email.comment` (string)
    Any freeform note for the email, such as its purpose.
    Example: work email

  - `Traveler.Email.preferredFormat` (string)
    Mime media type
    Example: text/html

  - `Traveler.Email.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-03-03T11:11:00Z

  - `Traveler.Email.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-03-03T11:11:00Z

  - `Traveler.Email.validInd` (boolean)
    If true, this is a valid email address that has been system verified via a successful email transmission.
    Example: true

  - `Traveler.Email.provisionedInd` (boolean)
    If true then the email address came from the provisioning process
    Example: true

  - `Traveler.passengerTypeCode` (string)
    Passenger type code (PTC) for this traveler.  
Required for all PTCs other than ADT (adult); if not sent defaults to ADT.  
Some of the common PTCs supported include ADT, INF, INS, CHD, UNN. Private fare PTCs, including INN, JNN, VNN, ITF, JNF, and VFF, may also be supported, subject to airline support.
    Example: CHD

  - `Traveler.nationality` (string)
    Nationality on country code ISO
    Example: AL

  - `Traveler.age` (integer)
    The age of the traveller at the time of travel
    Example: 13

  - `Traveler.CustomerLoyalty` (array)

  - `Traveler.AlternateContact` (array)

  - `Traveler.AlternateContact.@type` (string)
    Example: AlternateContact

  - `Traveler.AlternateContact.id` (string)

  - `Traveler.AlternateContact.contactType` (string)
    Contact type value
    Example: Relative

  - `Traveler.AlternateContact.relation` (string)
    Relation value
    Example: Mother

  - `Traveler.AlternateContact.Address` (array)

  - `Traveler.AlternateContact.Telephone` (array)

  - `Traveler.AlternateContact.Email` (array)

  - `Traveler.AlternateContact.emergencyInd` (boolean)
    This is the contact in case of an emergency
    Example: true

  - `Traveler.AlternateContact.defaultInd` (boolean)
    This is the default contact
    Example: true

  - `Traveler.TravelDocument` (array)

  - `Traveler.TravelDocument.@type` (string, required)
    Discriminator classes TravelDocument or TravelDocumentDetail
    Enum: "TravelDocumentDetail"

  - `Traveler.TravelDocument.docNumber` (string)
    Travel document number.
    Example: B37201

  - `Traveler.TravelDocument.docType` (string)
    Supported Travel Document types
    Enum: "Visa", "Passport", "MilitaryIdentification", "DriversLicense", "NationalIdentityDocument", "VaccinationCertificate", "AlienRegistrationNumber", "InsurancePolicyNumber", "TaxExemptionNumber", "VehicleRegistrationLicenseNumber", "BoderCrossingCard", "RefugeeTravelDocument", "PilotsLicense", "PermanentResidentCard", "RedressNumber", "KnownTravelerNumber", "Non-Standard", "MerchantNumber", "AirNexusCard", "CrewMemberCertificate", "PassportCard", "NaturalizationCertificate", "TicketNumber", "LargeFamilyDiscountCard", "IdentityCardTypeA", "IdentityCardTypeC", "IdentityCardTypeI"

  - `Traveler.TravelDocument.issueDate` (string)
    Issue date of document. Required for a visa
    Example: 2002-10-13

  - `Traveler.TravelDocument.expireDate` (string)
    Expiration date of document. Required for a visa.
    Example: 2002-11-13

  - `Traveler.TravelDocument.stateProvCode` (string)
    State Province Code value
    Example: 44

  - `Traveler.TravelDocument.placeOfIssue` (string)
    Place of issue value
    Example: Birmingham

  - `Traveler.TravelDocument.issueCountry` (string)
    Issuing country of document; ISO3166 standard format.
    Example: CA

  - `Traveler.TravelDocument.birthDate` (string)
    The date of birth of the document holder in YYYY-MM-DD format.
    Example: 1995-04-22

  - `Traveler.TravelDocument.birthCountry` (string)
    Country of birth of the document holder in ISO3166 standard format.
    Example: AR

  - `Traveler.TravelDocument.birthPlace` (string)
    Birth place value
    Example: Ontario

  - `Traveler.TravelDocument.residence` (string)
    Residence value
    Example: 1st section 8th st

  - `Traveler.TravelDocument.id` (string)
    Locally referenced id
    Example: 34

  - `Traveler.TravelDocument.Nationality` (string)
    Birth country as noted on document; specifies a 2 character country code as defined in ISO3166.
    Example: BR

  - `Traveler.TravelDocument.IssuedForGeoPoliticalArea` (object)
    The location code of the geographical location. Codes from Ref Pub

  - `Traveler.TravelDocument.IssuedForGeoPoliticalArea.value` (string)
    Example: G

  - `Traveler.TravelDocument.IssuedForGeoPoliticalArea.level` (string)
    Represents the type of geopolitical area (country, Continent, State etc)
    Enum: "World", "Global Area", "Continent Group", "Continent", "Country", "StateProvince", "City", "Airport"

  - `Traveler.TravelDocument.IssuedForGeoPoliticalArea.id` (string)
    Optional internally referenced id
    Example: 2

  - `Traveler.Comments` (object)
    Comments object to relay free text information  
In ProductAncillary.Ancillary this is used to expose when additional comments are required to book the ancillary.  
In BuildAncillaryOffersFromCatalogOfferings this is used to pass additional ancillary text required to book the ancillary.  
In Traveler this is used to send custom freeform traveler name remarks, such as a unique identifier for a given traveler. Not supported for addition/deletion in Traveler Modify.

  - `Traveler.Comments.@type` (string)
    Example: Comments

  - `Traveler.Comments.Comment` (array)

  - `Traveler.RailDiscountCard` (array)

  - `Traveler.RailDiscountCard.value` (string)
    Example: Rail1234546

  - `Traveler.RailDiscountCard.supplierCode` (string, required)
    Code of the Supplier
    Example: Enco

  - `Traveler.RailDiscountCard.referenceNumber` (string)
    ReferenceNumber
    Example: 134256

  - `Traveler.accompaniedByInfantInd` (boolean)
    Example: true

  - `TravelerProduct` (array)
    A list of travelers on a given reservation.

  - `TravelerProduct.@type` (string, required)
    Discriminator classes TravelerProductID or TravelerProduct
    Enum: "TravelerProduct"

  - `TravelerProduct.id` (string)

  - `TravelerProduct.TravelerRef` (string)
    Traveler reference number, associated with offer or unpriced segment in OfferRef.

  - `TravelerProduct.OfferRef` (string)
    Id for the offer. Cross-references to value in corresponding Offer/id.

  - `TravelerProduct.ProductRef` (string)
    Id for the product offer. Cross-references to value in corresponding Offer/Product/id.

  - `TravelerProduct.ConfirmationStatusEnum` (string)
    Status returned in a response for a given process. This may be seen in a two-step commitment process, seats, or other multi-commit processes.
    Enum: "Pending", "Confirmed", "Cancelled", "Rejected", "Requested"

  - `TravelerProduct.UnpricedFlightSegmentRefs` (array)
    Returned in a reservation Retrieve response if unpriced segments are associated with this traveler. Cross-references to value in corresponding UnpricedFlightSegment/id.
    Example: ["unpricedFlightSegment_001","unpricedFlightSegment_002"]

  - `FormOfPayment` (array)
    A list of key-value pairs that represent form(s) of payment.

  - `FormOfPayment.@type` (string, required)
    Discriminator classes FormOfPaymentID, FormOfPaymentBSP, FormOfPaymentCash, FormOfPaymentCheck, FormOfPaymentDocument, FormOfPaymentFlightPass, FormOfPaymentForfeit, FormOfPaymentInvoice, FormOfPaymentPaymentCard, FormOfPaymentVirtualPaymentAccount, FormOfPaymentWaiverCode
    Enum: "FormOfPaymentCash", "FormOfPaymentPaymentCard", "FormOfPaymentForfeit", "FormOfPaymentBSP", "FormOfPaymentAgencyAccount", "FormOfPaymentInvoice", "FormOfPaymentDocument", "FormOfPaymentWaiverCode", "FormOfPaymentVirtualPaymentAccount", "FormOfPaymentFlightPass", "FormOfPaymentCheck"

  - `FormOfPayment.id` (string)
    Form of Payment reference ID.
    Example: formofpayment_1

  - `FormOfPayment.FormOfPaymentRef` (string)
    Send a custom identifier for this FOP. Supports up to 256 alphanumeric characters.
    Example: formofpayment_1

  - `FormOfPayment.reservationFOPInd` (boolean)
    If true, this form of payment is the primary form of payment stored in the Reservation and will be used as the default payment unless alternate form of payment is referenced during the payment process.
    Example: true

  - `FormOfPayment.activeInd` (boolean)
    Deprecated. Will not implement.
    Example: true

  - `FormOfPayment.agentNonRefundableInd` (boolean)
    This indicates that the Cash payment should not be refunded

  - `FormOfPayment.Comment` (string)

  - `FormOfPayment.FreeText` (string)

  - `FormOfPayment.miscellaneousInd` (boolean)
    If true, the form of payment type is MS, miscellaneous

  - `FormOfPayment.PaymentCard` (object)
    Form of payment details for a payment card.

  - `FormOfPayment.PaymentCard.@type` (string, required)
    Discriminator classes PaymentCard or PaymentCardDetail
    Enum: "PaymentCardDetail"

  - `FormOfPayment.PaymentCard.id` (string)
    Payment card reference ID.
    Example: paymentCard_01

  - `FormOfPayment.PaymentCard.effectiveDate` (string)
    Indicated starting date.

  - `FormOfPayment.PaymentCard.expireDate` (string)
    Card expiration date in MMYY format.
    Example: 0558

  - `FormOfPayment.PaymentCard.approvalCode` (string)
    The approval code value
    Example: C59

  - `FormOfPayment.PaymentCard.CardType` (string)
    Type of card; supported values are Credit, Debit, Gift.
    Enum: "Credit", "Debit", "Gift"

  - `FormOfPayment.PaymentCard.CardCode` (string)
    Specifies the two character code (MC, VI, AX, etc) for the payment card (open enumeration)
    Example: VI

  - `FormOfPayment.PaymentCard.CardBrand` (object)
    This object contains Cards details for Payment

  - `FormOfPayment.PaymentCard.CardBrand.paymentCardIssuers` (object)
    An array of Payment Card Issuers

  - `FormOfPayment.PaymentCard.CardBrand.paymentCardIssuers.value` (string)
    Source: OpenTravel
    Enum: "VISA", "USAirways", "UnitedAirlines", "StarwoodHotels", "SouthwestAirlines", "RitzCarlton", "Mastercard", "Mariott", "Hyatt", "Hilton", "Eurocard", "Disney", "DiscoverCard", "DeltaAirlines", "ContinentalAirlines", "Citibank", "Chase", "CapitalOne", "BritishAirways", "BankOfAmerica", "AmericanExpress"

  - `FormOfPayment.PaymentCard.CardBrand.paymentCardIssuersExtension` (string)

  - `FormOfPayment.PaymentCard.CardBrand.issueNumber` (integer)
    Assigned Type: c-1100:NumberDoubleDigit

  - `FormOfPayment.PaymentCard.CardHolderName` (string)
    Name as displayed on payment card

  - `FormOfPayment.PaymentCard.CardNumber` (object)
    The payment card number

  - `FormOfPayment.PaymentCard.CardNumber.@type` (string)

  - `FormOfPayment.PaymentCard.CardNumber.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `FormOfPayment.PaymentCard.CardNumber.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `FormOfPayment.PaymentCard.CardNumber.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `FormOfPayment.PaymentCard.CardNumber.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `FormOfPayment.PaymentCard.CardNumber.mask` (string)
    Masked Value
    Example: xxxx436

  - `FormOfPayment.PaymentCard.CardNumber.token` (string)
    Token value
    Example: A567GTREWQ

  - `FormOfPayment.PaymentCard.CardNumber.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `FormOfPayment.PaymentCard.CardNumber.authenticationMethod` (string)
    Type of Authentication
    Enum: "SecurityCode", "MagneticStripe"

  - `FormOfPayment.PaymentCard.CardNumber.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value.
    Example: un-encrypted data

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning` (object)
    parent class of ErrorWarningDetail

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.@type` (string, required)
    Discriminator classes ErrorWarning or ErrorWarningDetail
    Enum: "ErrorWarningDetail"

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.StatusCode` (integer)
    Http standard response code

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.Message` (string)
    The Travelport standardized error or warning message

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.NameValuePair` (array)

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.category` (string)
    A category to assist in identifying the error
    Example: VALIDATION

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.SourceID` (string, required)
    The identifier of the source system sending the error or warning

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.SourceCode` (string)
    The error or warning code returned by the source airline or host system

  - `FormOfPayment.PaymentCard.CardNumber.ErrorWarning.SourceDescription` (string)
    The error or warning message as it is returned by the source airline or host system

  - `FormOfPayment.PaymentCard.SeriesCode` (object)
    The security code of card.

  - `FormOfPayment.PaymentCard.SeriesCode.@type` (string)

  - `FormOfPayment.PaymentCard.SeriesCode.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `FormOfPayment.PaymentCard.SeriesCode.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `FormOfPayment.PaymentCard.SeriesCode.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `FormOfPayment.PaymentCard.SeriesCode.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `FormOfPayment.PaymentCard.SeriesCode.mask` (string)
    Masked Value
    Example: xxxx436

  - `FormOfPayment.PaymentCard.SeriesCode.token` (string)
    Token value
    Example: A567GTREWQ

  - `FormOfPayment.PaymentCard.SeriesCode.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `FormOfPayment.PaymentCard.SeriesCode.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value. The credit card three or four digit CVV code. Required by certain suppliers. Booking.com requires the CVV code.
    Example: un-encrypted data

  - `FormOfPayment.PaymentCard.MagneticStripe` (array)

  - `FormOfPayment.PaymentCard.MagneticStripe.@type` (string)

  - `FormOfPayment.PaymentCard.MagneticStripe.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `FormOfPayment.PaymentCard.MagneticStripe.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `FormOfPayment.PaymentCard.MagneticStripe.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `FormOfPayment.PaymentCard.MagneticStripe.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `FormOfPayment.PaymentCard.MagneticStripe.mask` (string)
    Masked Value
    Example: xxxx436

  - `FormOfPayment.PaymentCard.MagneticStripe.token` (string)
    Token value
    Example: A567GTREWQ

  - `FormOfPayment.PaymentCard.MagneticStripe.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `FormOfPayment.PaymentCard.MagneticStripe.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value.
    Example: un-encrypted data

  - `FormOfPayment.PaymentCard.secureInd` (boolean)
    Implementer: If true, all or a portion of this data is secure, via tokenization, encryption and/or masking.

  - `FormOfPayment.PaymentCard.countryOfIssue` (string)
    The country code ISO
    Example: AG

  - `FormOfPayment.PaymentCard.companyCardReference` (string)
    The company card reference
    Example: IOR1386861

  - `FormOfPayment.PaymentCard.bankName` (string)
    The bank name value
    Example: Bank of America

  - `FormOfPayment.PaymentCard.bankCountryCode` (string)
    The bank country code ISO
    Example: BOFAUS3N

  - `FormOfPayment.PaymentCard.bankStateCode` (string)
    The bank state code ISO
    Example: NE

  - `FormOfPayment.PaymentCard.Telephone` (array)

  - `FormOfPayment.PaymentCard.Email` (array)

  - `FormOfPayment.PaymentCard.CustomerLoyalty` (array)

  - `FormOfPayment.PaymentCard.SignatureOnFile` (object)
    Signature held on file

  - `FormOfPayment.PaymentCard.SignatureOnFile.@type` (string)
    Example: SignatureOnFile

  - `FormOfPayment.PaymentCard.SignatureOnFile.Date_EffectiveExpire` (object)
    Used to identify the effective date and/or expiration date.

  - `FormOfPayment.PaymentCard.SignatureOnFile.Date_EffectiveExpire.effective` (string)
    Indicates the starting date.

  - `FormOfPayment.PaymentCard.SignatureOnFile.Date_EffectiveExpire.expire` (string)
    Indicates the ending date.

  - `FormOfPayment.PaymentCard.SignatureOnFile.Date_EffectiveExpire.expireDateExclusiveInd` (boolean)
    When true, indicates that the ExpireDate is the first day after the applicable period (e.g. when expire date is Oct 15  the last date of the period is Oct 14).

  - `FormOfPayment.PaymentCard.SignatureOnFile.signatureOnFileInd` (boolean)
    When true, indicates a signature has been obtained.
    Example: true

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity` (object)
    3DS authentication information

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.@type` (string)
    Example: ThreeDomainSecurity

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway` (object, required)
    3DS authentication information

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.@type` (string)
    Example: ThreeDomainSecurityGateway

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.eCI` (string)
    The eCI value
    Example: 2

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.merchantID` (string)
    The merchant ID value
    Example: mycart

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.processorID` (string)
    The processor ID value
    Example: 201

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.uRL` (string)
    Transaction URL.
    Example: https://transactionURL

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification` (object)
    Authentication and verification information

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.@type` (string)

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.mask` (string)
    Masked Value
    Example: xxxx436

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.token` (string)
    Token value
    Example: A567GTREWQ

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value.
    Example: un-encrypted data

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password` (object)
    Password information

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.@type` (string)

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.mask` (string)
    Masked Value
    Example: xxxx436

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.token` (string)
    Token value
    Example: A567GTREWQ

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value.
    Example: un-encrypted data

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults` (object, required)
    3DS authentication information

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.@type` (string)
    Example: ThreeDomainSecurityResults

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.cAVV` (string)
    The cAVV value
    Example: AAABAFaQRwAAAAAAEZBHAAAAAAA=ECI05

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.pAResStatus` (string)
    The pAResStatus value
    Example: 1

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.signatureVerfication` (string)
    The signature Verification value
    Example: Y

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.transactionID` (string)
    The transaction ID
    Example: 9D920E9-6FCF-4A74-A4E0-D6A591D1108F

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.xID` (string)
    Merchants must ensure that each Payer Authentication Request (PAReq) contains a unique combination of account ID and XID
    Example: 2bxUs1emK0SCevbivcApzAcAAQk=

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.eCI` (string)
    Electronic Commerce Indicator - 3-D secure data, contact your authenticator for rules and downline processing.
    Example: 2

  - `FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.uCAFIndicator` (string)
    Universal Card Authentication Field™ MasterCard only UCAF is the mechanism that is used to transmit the AAV from the merchant to issuer for authentication purposes during the authorization process
    Example: 0

  - `FormOfPayment.PaymentCard.extendedPaymentInd` (boolean)
    Implementer: If true, the credit card company is requested to delay the date on which the amount of this transaction is applied to the customer's account.

  - `FormOfPayment.PaymentCard.enettInd` (boolean)
    True if this payment card has been issued through Enett
    Example: true

  - `FormOfPayment.PaymentCard.thirdPartyInd` (boolean)
    If true, then the payment card holder is not one of the travelers in the reservation
    Example: true

  - `FormOfPayment.PaymentCard.acceptanceOverrideInd` (boolean)
    If true, override airline restriction on the payment card
    Example: true

  - `FormOfPayment.inhibitPaymentCardAuthorizationInd` (boolean)
    If true, the payment card will not go through card authorization process

  - `FormOfPayment.notValidForPaymentInd` (boolean)
    If true, the payment card has been masked and is not valid for making payments

  - `FormOfPayment.ExtendedPayment` (object)
    Note this field is deprecated in Payment schema and should be passed in FormOfPaymentPaymentCardExtendPayment schema

  - `FormOfPayment.ExtendedPayment.NumberOfInstallments` (integer, required)
    The number of installment payments to be charged by the payment card provider
    Example: 6

  - `FormOfPayment.ExtendedPayment.FirstInstallment` (number)
    For Pagos Parceledos, specify the first installment amount. This will be the same currency as the payment
    Example: 100

  - `FormOfPayment.ExtendedPayment.RemainingAmount` (number)
    For Pagos Parceledos, specify the remaining amount to be charged that will be spread across the number of installments. This will be the same currency as the payment
    Example: 50

  - `FormOfPayment.ExtendedPayment.OTATOCode` (string)
    For Pagos Parceledos the OTATOCode

  - `FormOfPayment.forfeitInd` (boolean)
    If true, this form of payment instruction is to forfeit residual amounts specified in an Offer. Used in conjunction with Payment to specify which amounts to be forfeited

  - `FormOfPayment.accountNumber` (string)
    The account number for the Form of payment BSP
    Example: 378282246310005

  - `FormOfPayment.agencyId` (string)
    The identifier of the pre-established agency account to be billed. This is not validated or created by this API — the account must already exist with the supplier or settlement provider. Format and issuing authority vary by supplier; consult supplier-specific documentation.
    Example: 87654321

  - `FormOfPayment.InvoiceNumber` (string)
    The invoice number this payment is applied against. Must correspond to an invoice already established outside this transaction; the API does not verify invoice existence or outstanding balance.

  - `FormOfPayment.DocumentNumber` (object)
    Document Number with additional attributes that the document represents

  - `FormOfPayment.DocumentNumber.value` (string)
    Example: 1259900123456

  - `FormOfPayment.DocumentNumber.documentIssuer` (string)
    Document issuer
    Example: BA

  - `FormOfPayment.DocumentNumber.documentType` (string)
    Document type like EMD, MCO
    Enum: "EMD", "MCO", "Ticket", "TASF", "Invoice"

  - `FormOfPayment.DocumentNumber.travelerIdentifierRef` (string)
    traveler identifier reference
    Example: traveler_1

  - `FormOfPayment.DocumentNumber.name` (string)
    The name of the Traveler being referenced.
    Example: SMITH/JMR

  - `FormOfPayment.DocumentNumber.passengerTypeCode` (string)
    The passenger type code of the Traveler being referenced.
    Example: ADT

  - `FormOfPayment.DocumentNumber.id` (string)
    A locally referenced ID
    Example: id_1

  - `FormOfPayment.DocumentNumber.description` (string)
    Descriptive text used to identify the contents of a target object
    Example: Descriptive text.

  - `FormOfPayment.DocumentNumber.uris` (array)
    The URI used to GET the target object in another domain.
    Example: ["www.travelport.com/uri"]

  - `FormOfPayment.WaiverCode` (object)
    A code assigned by an airline to support waiver of fees or ticket value as a result of disruption to the passenger. Waiver code can be passed during the refund by document process (BuildFromOfferList). Select the type of fee that is to be waivered in the waiver type field. Also passed as a FormOfPayment.

  - `FormOfPayment.WaiverCode.value` (string)

  - `FormOfPayment.WaiverCode.reasonCode` (integer)
    A code assigned to identify the reason for disruption
    Example: 2

  - `FormOfPayment.WaiverCode.waiverType` (string)
    List of waiver types.
    Enum: "ChangePenalty", "PriceDifference", "ChangePenaltyAndPriceDifference", "RefundPenalty", "NameChangePenalty"

  - `FormOfPayment.FlightPass` (array, required)

  - `FormOfPayment.FlightPass.@type` (string, required)
    Discriminator. No child classes
    Example: FlightPass

  - `FormOfPayment.FlightPass.accountNumber` (string, required)
    The flight pass account number.
    Example: 0140851633093

  - `FormOfPayment.FlightPass.supplier` (string, required)
    The flight pass supplier code. AC is the only value accepted at this time.
    Example: AC

  - `FormOfPayment.FlightPass.Description` (array)

  - `FormOfPayment.FlightPass.TravelerIdentifierRef` (array)
    In Search, use the passengerCriteriaRef to reference the owner of the flightpass. This is a mandatory field for Search API.

  - `FormOfPayment.checkInd` (boolean)
    If true, the form of payment type is check

  - `Payment` (array)
    Contains payment details related to a ticketed itinerary.

  - `Payment.@type` (string, required)
    Discriminator classes PaymentID or Payment
    Enum: "Payment"

  - `Payment.id` (string)
    Customer-assigned identifier for the payment.

  - `Payment.PaymentRef` (string)
    Customer-assigned name for the payment.

  - `Payment.FormOfPaymentIdentifier` (object)
    The Travelport-assigned identifier to identify the form of payment to which a payment was charged.

  - `Payment.FormOfPaymentIdentifier.@type` (string)
    Example: FormOfPaymentPaymentCash

  - `Payment.FormOfPaymentIdentifier.id` (string)
    Form of payment identifier reference ID.

  - `Payment.FormOfPaymentIdentifier.FormOfPaymentRef` (string)
    User-assigned custom ID sent with the Add Form of Payment request.

  - `Payment.FormOfPaymentIdentifier.activeInd` (boolean)
    If true, this form of payment will be used for document issuance and override any other form of payment in the reservation.
    Example: true

  - `Payment.OfferIdentifier` (array)

  - `Payment.OfferIdentifier.id` (string)
    Local identifier within a given message for this object.
    Example: offer_1

  - `Payment.OfferIdentifier.offerRef` (string)
    Used to reference another instance of this object in the same message
    Example: offer_1

  - `Payment.TravelerIdentifierRef` (array)

  - `Payment.depositInd` (boolean)
    If true, the payment is a deposit on the referenced Offer; at booking the provided card is charged for deposit or prepay rate.

  - `Payment.AgencyServiceFeeIdentifier` (array)

  - `Payment.AgencyServiceFeeIdentifier.id` (string)
    Unique id for this object within a message

  - `Payment.guaranteeInd` (boolean)
    If true, the payment is a guarantee for the referenced Offer; no amounts are charged at booking; the customer is to make payment in person upon arrival.

  - `Receipt` (array)
    Returns confirmation details, including the booking locator code.

  - `Receipt.@type` (string, required)
    Discriminator classes ReceiptID, ReceiptConfirmation, ReceiptConfirmationDivide, ReceiptCancellation, ReceiptPayment
    Enum: "Receipt"

  - `Receipt.id` (string)
    The verification number.
    Example: 3493289238

  - `Receipt.ReceiptRef` (string)
    Example: 6773 2389 2239 2832

  - `Receipt.dateTime` (string)
    Receipt date time
    Example: 2022-08-07T12:12:00Z

  - `Receipt.OfferRef` (array)
[...]
